Download it now!
Bug 88277 (SVG-Open) - [META] OBSOLETE - SVG fileOpen filter (Draw)
Summary: [META] OBSOLETE - SVG fileOpen filter (Draw)
Status: RESOLVED WONTFIX
Alias: SVG-Open
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 43806 48062 48067 64464 88365 92678 94344 95145 99088 103686 117207 32248 33550 34720 38848 40088 40177 43257 43991 47262 47439 47441 47445 48063 48064 48066 51164 51165 53096 62899 63676 64075 64276 64461 67039 75314 77268 79163 79261 79854 80045 80339 80616 81014 82214 84296 85166 85772 87309 88383 90168 90798 92991 94098 96046 96181 96364 97091 99129 100135 102280 105810 106019 116467 118270
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-10 19:19 UTC by V Stuart Foote
Modified: 2019-06-23 20:59 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
complex and problematic squirrel (554.47 KB, image/svg+xml)
2015-02-28 21:26 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2015-01-10 19:19:56 UTC
Meta issue to track fileOpen SVG image filter issues in Draw module
Comment 1 V Stuart Foote 2015-01-10 22:47:43 UTC
bug 32248 -- fileOpen text elements in SVG are not rendered
bug 40088 -- fileOpen color gradients, text elements, font weights
bug 40941 -- fileOpen graphic elements not rendered
bug 43806 -- fileOpen missing line-end arrows, text, line weights, open-fills
bug 47262 -- fileOpen color gradients
bug 64075 -- fileOpen grapic elements not rendered (fill & text for homenet.svg)
bug 64276 -- fileOpen poor tolerance for malformed SVG
bug 67039 -- fileOpen area fill for line elements
bug 80045 -- fileOpen color gradients, graphic element layering, text
bug 80339 -- fileOpen text weights and positioning
bug 80616 -- fileOpen color fills, text not rendered
bug 87309 -- fileOpen "currentColor" attribute not handled by filter
Comment 2 V Stuart Foote 2015-02-28 21:26:12 UTC
Created attachment 113783 [details]
complex and problematic squirrel

A complex SVG (squirrel from tdf bug 82214) that causes grief both with the import Open filter in Draw and the Insert filter in all components.
Comment 3 V Stuart Foote 2015-04-05 20:38:00 UTC
Folks,

When adding issues to this meta tracker, please add a note and any comments regards the issue. Also, please set the Whiteboard entry filter:svgOpen on the issue being added.

Thanks!
Comment 4 A (Andy) 2015-04-05 21:08:23 UTC
Several bugs are added:

Bug 33550 -- FileOpen: Arrows are not shown
Bug 34720 -- FileOpen: Black filling instead of textured filling
Bug 43991 -- FileOpen: Text is missing, wrong (linear and radial) gradient filling, missing textured filling, missing arrows, a few blur/opacity bugs
Bug 47445 -- FileOpen: Black filling instead of textured filling
Bug 63676 -- FileOpen: Text is missing, two images are not shown
Bug 90168 -- FileOpen: A full circle is shown instead of a clipped circle: clipping bug
Comment 5 A (Andy) 2015-04-05 21:38:17 UTC
Further bugs added:

Bug 47439 -- FileOpen: Horizontal linear gradient (right-left) was converted into vertical (down-up), wrong gradient position, problems with more than two gradient colours (?), missing text
Bug 47441 -- FileOpen: Rectangle instead of circle shape, missing text
Bug 64461 -- FileOpen: Image text with "flowed text frame" is shown as a black rectangle
Comment 6 V Stuart Foote 2015-11-19 20:45:29 UTC
added bug 79163 -- not sure how I'd missed it, but a good test case for Xisco's work on the open SVG filters.
Comment 7 Robinson Tryon (qubit) 2015-12-09 18:52:45 UTC
Migrating Whiteboard tags to Keywords: (filter:svgOpen)
Comment 8 Yousuf Philips (jay) (retired) 2016-02-08 15:42:24 UTC
Adding some of my svgOpen bugs.

Bug 79854 - FILEOPEN: opening this svg file in LibO Draw doesnt show correctly
Bug 79261 - FILEOPEN: SVG not rendered correctly
Bug 84296 - FILEOPEN: Opening svg on Windows gives error
Comment 9 V Stuart Foote 2016-06-21 16:11:36 UTC
@Xisco, Armin, Regina, Christina

A little QA house keeping.

Just put together this text resolving bug 43991--any objections to closing out all the filter:svgOpen, and depends on issues listed here, with this text?

Stuart

<quote>
The SVG open to Draw filter will be dropped in favor of more functional svgio insert filter which will be modified for use to open SVG into draw.

Issue(s) here are already well handled by the svgio filter.

=-discussion-=

http://nabble.documentfoundation.org/Two-svg-import-filters-tc4165365.html
http://nabble.documentfoundation.org/Two-svg-import-filters-tc4165248.html

ESC decision
http://nabble.documentfoundation.org/Libreoffice-qa-minutes-of-ESC-call-tc4171063.html

* SVG import filters (Thorsten)
    + proposal: rip out old Thorsten + Fridrich filter.
       + Xisco, Regina and Christina kindly helped.
          + but still not so great at rendering SVGs.
    + Armin's SVGIO seems better for now
       => deprecate in favour of svgio; save 2-3k LOC.
    + still 1-2 gerrit patches there (Michael S)
       + bit of a shame.
    => announce deprecation & removal of it in 5.2 timeframe
AI:    + and CC & thank explicitly those who worked on this. (Thorsten)

</quote>
Comment 10 Xisco Faulí 2016-06-21 16:32:16 UTC
Hi Stuart,

IMHO, I wouldn't do it until the svg filter is completely replaced by svgio. On the other hand, I'd check whether the files attached to those bugs are rendered correctly in svgio as well.

Just my 2 cents
Comment 11 Xisco Faulí 2018-06-20 17:13:39 UTC
Since https://cgit.freedesktop.org/libreoffice/core/commit/?id=3ca7be09834a26fbd1c371deabd7a58111092676, this Metabug has become obsolete as the filter used to import SVG files has been killed with fire.

All the bugs with filter:svgOpen has been added here as an historical reference. The keyword has been deleted as well, as it's no longer used.

For newer SVG problems, PLEASE USE bug 88278